- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 68ef0061-69a3-449f-8a5a-94165fef6357
    creation_time: 2023-02-17T13:38:19.784775Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound20.c: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound20.c
    file_hash: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
    line: 32
    column: 0
    function: main
  loop_invariant:
    string: 2 * Y * x - 2 * X * y - X + 2 * Y - v == 0 && (x <= X + 1 || (X < 0 == x && v == 2 * Y - X))
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: d9514a6a-9451-41c1-a628-34127d065d30
    creation_time: 2023-02-17T13:38:19.785182Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound20.c: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound20.c
    file_hash: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
    line: 35
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 15ce1dd6-dacc-4bf9-a4b0-69f8dfe93d5c
    creation_time: 2023-02-17T13:38:19.785280Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/bresenham-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/bresenham-ll_valuebound20.c: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/bresenham-ll_valuebound20.c
    file_hash: cb384ff5c9201b9f90543357d3375f0a0ac9cc5fac01729f538d89799a1d7226
    line: 50
    column: 0
    function: main
  location_invariant:
    string: 2*yx - 2*xy - X + (long long) 2*Y - v + 2*y == 0
    type: assertion
    format: C

